summaryrefslogtreecommitdiffstats
path: root/system/epson-inkjet-printer-stylus-tx550w-series
diff options
context:
space:
mode:
author Mark Grocock <mark@grocock.me.uk>2010-08-24 00:26:53 -0400
committer Erik Hanson <erik@slackbuilds.org>2010-08-29 15:32:12 -0500
commit48e43655883cfa59aa68aaa206aac0dd6014d770 (patch)
tree7372bae5d63e6651ccc0e0632fb460922109d909 /system/epson-inkjet-printer-stylus-tx550w-series
parent6e31e025f77c090611b7fca8c6518c7c17222b94 (diff)
downloadslackbuilds-48e43655883cfa59aa68aaa206aac0dd6014d770.tar.gz
slackbuilds-48e43655883cfa59aa68aaa206aac0dd6014d770.tar.xz
system/epson-inkjet-printer-stylus-tx550w-series: Added (driver)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'system/epson-inkjet-printer-stylus-tx550w-series')
-rw-r--r--system/epson-inkjet-printer-stylus-tx550w-series/README16
-rw-r--r--system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.SlackBuild112
-rw-r--r--system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.info12
-rw-r--r--system/epson-inkjet-printer-stylus-tx550w-series/slack-desc19
4 files changed, 159 insertions, 0 deletions
diff --git a/system/epson-inkjet-printer-stylus-tx550w-series/README b/system/epson-inkjet-printer-stylus-tx550w-series/README
new file mode 100644
index 0000000000..dd371bdc6a
--- /dev/null
+++ b/system/epson-inkjet-printer-stylus-tx550w-series/README
@@ -0,0 +1,16 @@
+Epson Inkjet Printer Driver - Epson Stylus TX550W Series
+
+This software is a filter program used with Common UNIX Printing
+System (CUPS) from the Linux. This can supply the high quality print
+with Seiko Epson Color Ink Jet Printers.
+
+This printer driver is supporting the following printers.
+
+Epson Stylus TX550W
+Epson Stylus SX510W
+Epson Stylus SX515W
+Epson Stylus NX510
+Epson Stylus NX515
+
+For detail list of supported printer, please refer to below site:
+http://avasys.jp/english/linux_e/
diff --git a/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.SlackBuild b/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.SlackBuild
new file mode 100644
index 0000000000..094349c991
--- /dev/null
+++ b/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.SlackBuild
@@ -0,0 +1,112 @@
+#!/bin/sh
+
+# Slackware build script for epson-inkjet-printer-stylus-tx550w-series
+
+# Written by Mark Grocock <mark@grocock.me.uk>
+
+PRGNAM=epson-inkjet-printer-stylus-tx550w-series
+VERSION=${VERSION:-1.0.0}
+EXTRAVERSION=${EXTRAVERSION:-1lsb3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio $CWD/$PRGNAM-$VERSION-$EXTRAVERSION.src.rpm | cpio -idmv
+tar xvf epson-inkjet-printer-filter-$VERSION.tar.gz
+tar xvf $PRGNAM-$VERSION.tar.gz
+rpm2cpio $CWD/$PRGNAM-$VERSION-$EXTRAVERSION.$ARCH.rpm | cpio -idmv
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd epson-inkjet-printer-filter-$VERSION
+
+autoreconf -fi
+chmod a+x configure
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+sed -i "s|/usr/resource|/usr/share/$PRGNAM/resource|" config.h
+
+make
+
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/cups/filter
+cp -a src/epson_inkjet_printer_filter $PKG/usr/lib${LIBDIRSUFFIX}/cups/filter
+
+cd ../$PRGNAM-$VERSION
+
+find ppds -name '*.ppd' | while read ppd; do
+ sed -i -e "s|/opt/$PRGNAM/cups/lib/filter|/usr/lib${LIBDIRSUFFIX}/cups/filter|" \
+ -e "s|/opt/$PRGNAM/watermark|/usr/share/$PRGNAM/watermark|" "$ppd"
+ gzip -9 "$ppd"
+done
+
+mkdir -p $PKG/usr/share/cups/model/Epson
+cp -a ppds/*.ppd.gz $PKG/usr/share/cups/model/Epson
+
+mkdir -p $PKG/usr/share/$PRGNAM
+cp -a resource watermark $PKG/usr/share/$PRGNAM
+
+install -m 755 ../opt/$PRGNAM/lib${LIBDIRSUFFIX}/*.so.* $PKG/usr/lib${LIBDIRSUFFIX}
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING COPYING.EPSON Manual.txt README \
+ ../epson-inkjet-printer-filter-$VERSION/COPYING.LIB \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.info b/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.info
new file mode 100644
index 0000000000..0549ac5c36
--- /dev/null
+++ b/system/epson-inkjet-printer-stylus-tx550w-series/epson-inkjet-printer-stylus-tx550w-series.info
@@ -0,0 +1,12 @@
+PRGNAM="epson-inkjet-printer-stylus-tx550w-series"
+VERSION="1.0.0"
+HOMEPAGE="http://avasys.jp/english/linux_e/"
+DOWNLOAD="http://linux.avasys.jp/drivers/lsb/epson-inkjet/stable/SRPMS/epson-inkjet-printer-stylus-tx550w-series-1.0.0-1lsb3.2.src.rpm
+ http://linux.avasys.jp/drivers/lsb/epson-inkjet/stable/RPMS/i486/epson-inkjet-printer-stylus-tx550w-series-1.0.0-1lsb3.2.i486.rpm"
+MD5SUM="4d38415c92bc7d90efd27ac3632a3b8d d40ccfa38ae407a3274836617e098187"
+DOWNLOAD_x86_64="http://linux.avasys.jp/drivers/lsb/epson-inkjet/stable/SRPMS/epson-inkjet-printer-stylus-tx550w-series-1.0.0-1lsb3.2.src.rpm
+ http://linux.avasys.jp/drivers/lsb/epson-inkjet/stable/RPMS/x86_64/epson-inkjet-printer-stylus-tx550w-series-1.0.0-1lsb3.2.x86_64.rpm"
+MD5SUM_x86_64="4d38415c92bc7d90efd27ac3632a3b8d c3fd26b20e285431ed252c58744b9aa0"
+MAINTAINER="Mark Grocock"
+EMAIL="mark@grocock.me.uk"
+APPROVED="dsomero"
diff --git a/system/epson-inkjet-printer-stylus-tx550w-series/slack-desc b/system/epson-inkjet-printer-stylus-tx550w-series/slack-desc
new file mode 100644
index 0000000000..e20287891d
--- /dev/null
+++ b/system/epson-inkjet-printer-stylus-tx550w-series/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+epson-inkjet-printer-stylus-tx550w-series: epson stylus-tx550w series (Epson Inkjet Printer Driver)
+epson-inkjet-printer-stylus-tx550w-series:
+epson-inkjet-printer-stylus-tx550w-series: This software is a filter program used with Common UNIX Printing
+epson-inkjet-printer-stylus-tx550w-series: System (CUPS) from the Linux. This can supply the high quality print
+epson-inkjet-printer-stylus-tx550w-series: with Seiko Epson Color Ink Jet Printers.
+epson-inkjet-printer-stylus-tx550w-series:
+epson-inkjet-printer-stylus-tx550w-series: For detail list of supported printer, please refer to below site:
+epson-inkjet-printer-stylus-tx550w-series:
+epson-inkjet-printer-stylus-tx550w-series: http://avasys.jp/english/linux_e/
+epson-inkjet-printer-stylus-tx550w-series:
+epson-inkjet-printer-stylus-tx550w-series: